<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne se um palavra é anagram da outra
        */
        function isAnagram(test, original) {
            // implementar logica aqui

            let count, test_arr, original_arr;

            count = 0;
            test_arr = test.toLowerCase().split("");            
            original_arr = original.toLowerCase().split("");            
            sorted_test = test_arr.sort().join()
            sorted_original = original_arr.sort().join()

            if (sorted_original == sorted_test) {
                count = 1;
            } else {
                count = 0;
            }
            
            return Boolean(count)
        }

        // Resultados esperados
        console.log(isAnagram("foefet", "toffee"), true) // true
        console.log(isAnagram("Buckethead", "DeathCubeK"), true) // true
        console.log(isAnagram("Twoo", "WooT"), true) // true

        console.log(isAnagram("dumble", "bumble"), false) // false
        console.log(isAnagram("ound", "round"), false) // false
        console.log(isAnagram("apple", "pale"), false) // false

    </script>
</body>

</html>